Subject: Re: C exe redirection blank file
From: "Andy@Jet-Net" <[email-masked]>
To: René Berber <[email-masked]>
Cc: [email-masked]
Date: Fri, 05 May 2006 21:00:57 +0100

Thanks for your reply,

> > * Suddenly I could no longer redirect the output of this program, and the two
> > files it created were now blank.
> [snip]

> Did you forget to close the files 
Thanks for that, that's fixed the writing of the files! Dunno why that's
happened only on this machine. 

Is there a limit to the number of files on XP - like the old config.sys
option files=99?

> and/or are exiting the program in a non-standard way?
I don't think so. With issues - can't open port - I exit with a "return -1"
otherwise I just fall out of the bottom of the main(). 

chkdsk fixed errors this time, but I still have the "problems with the file
system" error (maybe a red herring), and ...

I still can't redirect output. Any advice on this v gratefully received.

Cheers
Andy

-- 
      _____     ______   _____________________________________________
    //_  /  /| /_  /   /
 __//__ /  / |/__ /  /...Your friendly computer professionals
____________________/ [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/